tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From t...@apache.org
Subject svn commit: r1128570 - in /tomcat/jk/trunk/tools: jkrelease.sh signfile.sh
Date Sat, 28 May 2011 08:47:00 GMT
Author: timw
Date: Sat May 28 08:46:59 2011
New Revision: 1128570

URL: http://svn.apache.org/viewvc?rev=1128570&view=rev
Log:
Adding ability to specify code signing key in release script, and failing release when tar
fails (default BSD tar on OS X borks)

Modified:
    tomcat/jk/trunk/tools/jkrelease.sh
    tomcat/jk/trunk/tools/signfile.sh

Modified: tomcat/jk/trunk/tools/jkrelease.sh
URL: http://svn.apache.org/viewvc/tomcat/jk/trunk/tools/jkrelease.sh?rev=1128570&r1=1128569&r2=1128570&view=diff
==============================================================================
--- tomcat/jk/trunk/tools/jkrelease.sh (original)
+++ tomcat/jk/trunk/tools/jkrelease.sh Sat May 28 08:46:59 2011
@@ -54,6 +54,7 @@ usage() {
     echo "        -T: package from trunk"
     echo "        -d: package from local directory"
     echo "        -p: GNU PG passphrrase used for signing"
+    echo "        -k: ID of GNU PG key to use for signing"
 }
 
 copy_files() {
@@ -72,14 +73,15 @@ copy_files() {
 #################### MAIN ##############
 
 conflict=0
-while getopts :v:t:r:b:d:p:Tf c
+while getopts :v:t:r:b:d:p:k:Tf c
 do
     case $c in
     v)         version=$OPTARG;;
     t)         tag=$OPTARG
                conflict=$(($conflict+1));;
     r)         revision=$OPTARG;;
-    p)         SIGN_OPTS="--passphrase=$OPTARG";;
+    k)         SIGN_OPTS="--default-key=$OPTARG $SIGN_OPTS";;
+    p)         SIGN_OPTS="--passphrase=$OPTARG $SIGN_OPTS";;
     b)         branch=$OPTARG
                conflict=$(($conflict+1));;
     T)         trunk=trunk
@@ -306,7 +308,7 @@ fi
 cd ../../
 
 # Pack
-tar cfz ${JK_DIST}.tar.gz --owner="${JK_OWNER}" --group="${JK_GROUP}" ${JK_DIST}
+tar cfz ${JK_DIST}.tar.gz --owner="${JK_OWNER}" --group="${JK_GROUP}" ${JK_DIST} || exit
1
 perl ${JK_DIST}/tools/lineends.pl --cr ${JK_DIST}
 zip -9 -r ${JK_DIST}.zip ${JK_DIST}
 

Modified: tomcat/jk/trunk/tools/signfile.sh
URL: http://svn.apache.org/viewvc/tomcat/jk/trunk/tools/signfile.sh?rev=1128570&r1=1128569&r2=1128570&view=diff
==============================================================================
--- tomcat/jk/trunk/tools/signfile.sh (original)
+++ tomcat/jk/trunk/tools/signfile.sh Sat May 28 08:46:59 2011
@@ -25,6 +25,10 @@ do
      ;;
     esac
     case "$o" in
+        --default-key=*  )
+            gpgopts="$gpgopts --default-key $a"
+            shift
+        ;;
         --passphrase=*  )
             gpgopts="$gpgopts --passphrase $a"
             shift



---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message